Expose the repository on which wbsearchentities match was found
Closed, ResolvedPublic

Description

It would be (implicitly) possible to figure out the repository name of the search entity result from the id serialization but, as @daniel stated in T150848#2835772 API should not make its clients decode ID to be able to know where the match was found.

Repository name should be made explicit in the results returned by the SearchEntity API module.

Patches for review:

WMDE-leszek updated the task description. (Show Details)Dec 13 2016, 11:38 AM

Change 330424 had a related patch set uploaded (by WMDE-leszek):
Expose the repository on which match was found in wbsearchentities results

https://gerrit.wikimedia.org/r/330424

WMDE-leszek moved this task from Backlog to Review on the Wikidata-Sprint board.
thiemowmde moved this task from Review to Done on the Wikidata-Sprint board.Jan 18 2017, 11:27 AM
thiemowmde moved this task from incoming to in current sprint on the Wikidata board.
WMDE-leszek moved this task from Done to Review on the Wikidata-Sprint board.Jan 30 2017, 8:37 AM
thiemowmde updated the task description. (Show Details)Feb 2 2017, 9:21 AM

Change 330424 merged by WMDE-leszek:
Expose the repository on which match was found in wbsearchentities results

https://gerrit.wikimedia.org/r/330424

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Feb 10 2017, 1:35 PM
WMDE-leszek closed this task as Resolved.Feb 15 2017, 10:43 AM